pagina/cellshop/cellshop/urls.py
from django.contrib import admin
from django.urls import include,path
from django.conf import settings
from django.conf.urls.static import static
#from vistas import index,pag2,pag3,pag4

urlpatterns = [
    path('polls/', include('polls.urls')),
    path('admin/', admin.site.urls),
    path('accounts/', include('django.contrib.auth.urls')),
    path('social-auth/', include('social_django.urls', namespace="social")),
    path('', include('pwa.urls')),
   # path('index/', index),
    #path('pag2/',pag2),
    #path('pag3/',pag3),
    #path('pag4/',pag4),
]

if settings.DEBUG:
    urlpatterns += static(settings.MEDIA_URL,document_root=settings.MEDIA_ROOT)

pagina/cellshop/polls/urls.py
from django.urls import path, include
from django.contrib.auth import views as auth_views
from . import views
from rest_framework import routers

router = routers.DefaultRouter()
router.register('celulares', views.CelularesViewsets)
router.register('marca', views.MarcaViewsets)
router.register('botones', views.BotonesViewsets)

#localhost:8000/polls/api/celulares/
urlpatterns = [
    path('', views.index, name='index'),
    path('1', views.pag2, name='pag2'),
    path('registro', views.registro, name='registro'),
   # path('accounts/login/', views.login, name='login'),
   path('agregar',views.agregar_producto,name='agregar'),
   path('listar', views.listar_productos,name='listar'),
   path('modificar/<id>/', views.modificar_producto,name='modificar'),
   path('eliminar/<id>/', views.eliminar_producto,name='eliminar'),
   
   path('reset_password/', auth_views.PasswordResetView.as_view(template_name="registration/password_reset.html"), name="reset_password"),
   path('reset_password_sent/', auth_views.PasswordResetDoneView.as_view(template_name="registration/password_reset_sent.html"), name="password_reset_done"),
   path('reset/<uidb64>/<token>/', auth_views.PasswordResetConfirmView.as_view(template_name="registration/password_reset_form.html"), name="password_reset_confirm"),
   path('reset_password_complete/', auth_views.PasswordResetCompleteView.as_view(template_name="registration/password_reset_done.html"), name="password_reset_complete"),

   path('api/', include(router.urls)),
   
   path('error-facebook/', views.error_facebook, name='error_facebook'),
]

pagina/cellshop/polls/models.py
from django.db import models

# Create your models here.
class Botones(models.Model):
    nombre = models.CharField(max_length=50)
    imagen = models.ImageField(null=True)

    def __str__(self):
        return self.nombre

class Marca(models.Model):
    nombre = models.CharField(max_length=50)
    imagen = models.ImageField(null=True)

    def __str__(self):
        return self.nombre

class Celulares(models.Model):
    nombre = models.CharField(max_length=50)
    precio= models.IntegerField()
    marca = models.ForeignKey(Marca, on_delete=models.PROTECT)
    imagen = models.ImageField()
    def __str__(self):
        return self.nombre

pagina/cellshop/polls/forms.py
from django import forms
from django.contrib.auth.forms import UserCreationForm
from django.contrib.auth.models import User
from .models import Celulares

class CustomUserCreationForm(UserCreationForm):
    
    class Meta:
        model = User
        fields = ["username","first_name","last_name","email","password1","password2"]


class CelularesForm(forms.ModelForm):
    
    class Meta:
        model = Celulares
        fields = '__all__'

pagina/cellshop/polls/views.py
from django.shortcuts import render, redirect, get_object_or_404
from .forms import CustomUserCreationForm, CelularesForm
from .models import Celulares, Marca, Botones
from django.contrib import messages
from django.core.paginator import Paginator
from django.contrib.auth import authenticate, login
from rest_framework import viewsets
from .serializers import CelularesSerializers, MarcaSerializers, BotonesSerializers
# Create your views here.

class BotonesViewsets(viewsets.ModelViewSet):
    queryset = Botones.objects.all()
    serializer_class = BotonesSerializers

class MarcaViewsets(viewsets.ModelViewSet):
    queryset = Marca.objects.all()
    serializer_class = MarcaSerializers

class CelularesViewsets(viewsets.ModelViewSet):
    queryset = Celulares.objects.all()
    serializer_class = CelularesSerializers

    def get_queryset(self):
        celulares = Celulares.objects.all()

        nombre = self.request.GET.get('nombre')

        if nombre: 
            celulares = celulares.filter(nombre__contains=nombre)
        
        return celulares    

def error_facebook(request):
    return render(request, 'registration/error_facebook.html')

def index(request):
    return render(request,'polls/home.html')

def pag2(request):
    return render(request,'polls/pagina2.html')

def registro(request):
    data = {
        'form': CustomUserCreationForm()
    }

    if request.method == 'POST':
        formulario = CustomUserCreationForm(data=request.POST)
        if formulario.is_valid():
            formulario.save()
            user = authenticate(username=formulario.cleaned_data["username"], password=formulario.cleaned_data["password1"])
            login(request, user)
            messages.success(request, "Te has registrado correctamente")
            return redirect(to='http://localhost:8000/polls/')
        data["form"] = formulario

    return render(request,'registration/pagina3.html', data)

def logins(request):
    return render(request,'registration/login.html')

def agregar_producto(request):
    data = {
        'form': CelularesForm()
    }

    if request.method == 'POST':
        formularioc = CelularesForm(data=request.POST, files=request.FILES)
        if formularioc.is_valid():
            formularioc.save()
        else:
            data["form"] = formularioc

    return render(request, 'polls/agregar.html', data)

def listar_productos(request):
    celulares = Celulares.objects.all()

    data = {
        'celulares': celulares
    }
    return render(request, 'polls/listar.html', data)

def modificar_producto(request, id):

    celular =get_object_or_404(Celulares, id=id)

    data = {
        'form': CelularesForm(instance=celular)
    }

    if request.method == 'POST':
        formulariom = CelularesForm(data=request.POST, instance=celular, files=request.FILES)
        if formulariom.is_valid():
            formulariom.save()
            return redirect(to='http://localhost:8000/polls/listar')
        data["form"] = formulariom


    return render(request, 'polls/modificar.html', data)

def eliminar_producto(request, id):
    celulare = get_object_or_404(Celulares, id=id)
    celulare.delete()
    return redirect(to='http://localhost:8000/polls/listar' )    

pagina/cellshop/polls/templates/offline.html
{% load static %}
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Iniciar Sesión</title>
    <link rel="stylesheet" href="{% static '/CSS/estilos.css' %}">
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.3.1/css/all.css">
    <link rel="stylesheet" href="{% static '/CSS/flexboxgrid.css' %}">
    <script src="{% static '/js/index.js' %}"></script>
    <script src="{% static '/js/jquery-3.5.1.js' %}"></script>

    {% load pwa %}

    {% progressive_web_app_meta %}
    
</head>
<body>
    <div>
        <header id="hp1">
            <img id="cp1" src="http://localhost:8000/media/logo_ezPneK8.jpg" alt="Logo Cell Shop">
            <a id="linksdemenu" href="http://localhost:8000/polls/">INICIO</a>
            {% if perms.group.add_group %}
            <a id="linksdemenu" href="http://localhost:8000/admin/" target="_blank">MENÚ ADMIN</a>
            {% endif %}
            
            {% if user.is_authenticated %}
            <a id="linksdemenu" href="http://localhost:8000/polls/agregar">AGREGAR</a>
            <a id="linksdemenu" href="http://localhost:8000/polls/listar">LISTAR</a>
            <a id="linksdemenu" href="{% url 'logout' %}">CERRAR SESIÓN</a>
            <a id="linksdemenu" href="#">@{{ user.username }}</a>
            
                {% for auth in backends.associated %}
                    {% if auth.provider == 'facebook' %}
                        <img id="imgfacebook" src="{{ auth.extra_data.picture.data.url }}" alt="foto de perfil" >
                    {% endif %}
                {% endfor %}

            {% else %}
            <a  id="linksdemenu" href="{% url 'login' %}">INICIAR SESIÓN</a>
            <a id="linksdemenu" href="{% url 'registro' %}">REGISTRARSE</a>
            {% endif %}
        </header>
        <nav id="nav_pag1">
            <h1>SIN CONEXIÓN A INTERNET</h1>
        </nav>
        <section id="formularioI">
                <h1>Por favor verifique su conexión</h1>
        </section>
        <footer id="gracias">
            <h1>¡GRACIAS POR USAR CELL SHOP!</h1>
        </footer>
    </div>
</body>
</html>

pagina/cellshop/polls/templates/polls/agregar.html
{% load static %}
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Agregar</title>
    <link rel="stylesheet" href="{% static '/CSS/estilos.css' %}">
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.3.1/css/all.css">
    <link rel="stylesheet" href="{% static '/CSS/flexboxgrid.css' %}">
    <script src="{% static '/js/index.js' %}"></script>
    <script src="{% static '/js/jquery-3.5.1.js' %}"></script>

    {% load pwa %}

    {% progressive_web_app_meta %}
    
</head>
<body>
    <div>
        <div id="contenedor_carga">
            <div id="carga"></div>
        </div>
        <header id="hp1">
            <img id="cp1" src="http://localhost:8000/media/logo_ezPneK8.jpg" alt="Logo Cell Shop">
            <a id="linksdemenu" href="http://localhost:8000/polls/">INICIO</a>
            <a  id="linksdemenu" href="http://localhost:8000/polls/1">GALERÍA</a>
            {% if perms.group.add_group %}
            <a id="linksdemenu" href="http://localhost:8000/admin/" target="_blank">MENÚ ADMIN</a>
            {% endif %}
            {% if user.is_authenticated %}
            <a id="linksdemenu" href="http://localhost:8000/polls/listar">LISTAR</a>
            <a id="linksdemenu" href="{% url 'logout' %}">CERRAR SESIÓN</a>
            <a id="linksdemenu" href="#">@{{ user.username }}</a>
            
                {% for auth in backends.associated %}
                    {% if auth.provider == 'facebook' %}
                        <img id="imgfacebook" src="{{ auth.extra_data.picture.data.url }}" alt="foto de perfil" >
                    {% endif %}
                {% endfor %}

            {% else %}
            <a  id="linksdemenu" href="{% url 'login' %}">INICIAR SESIÓN</a>
            <a id="linksdemenu" href="{% url 'registro' %}">REGISTRARSE</a>
            {% endif %}
        </header>
        <nav id="nav_pag1">
            
            <h1>AGREGAR EN CELL SHOP</h1>
        </nav>
        <form action="" method="POST" enctype="multipart/form-data">
            <section id="agregars">
                {% csrf_token %}
                {{ form }}
                <input id="botoninicio" type="reset" value="Cancelar">
                <input id="botoninicio" type="submit" value="Guardar">
            </section>
        </form>
        <footer id="gracias">
            <h1>¡GRACIAS POR USAR CELL SHOP!</h1>
        </footer>
</body>
</html>

pagina/cellshop/polls/templates/polls/home.html
{% load static %}
<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Cell Shop</title>
    <link rel="stylesheet" href="{% static '/CSS/estilos.css' %}">
    <link rel="stylesheet" href="{% static '/https://use.fontawesome.com/releases/v5.3.1/css/all.css' %}">
    <link rel="stylesheet" href="{% static '/CSS/flexboxgrid.css' %}">
    <script src="{% static '/js/index.js' %}"></script>
    <script src="{% static '/js/jquery-3.5.1.js' %}"></script>
    <script src="{% static '/js/pagi1.js' %}"></script>

    {% load pwa %}

    {% progressive_web_app_meta %}

</head>
<body>
    <div >
        <div id="contenedor_carga">
            <div id="carga"></div>
        </div>
        <header  id="hp1">
            <img id="cp1" src="http://localhost:8000/media/logo_ezPneK8.jpg" alt="Logo Cell Shop">
            <a  id="linksdemenu" href="http://localhost:8000/polls/1">GALERÍA</a>
            {% if perms.group.add_group %}
            <a id="linksdemenu" href="http://localhost:8000/admin/" target="_blank">MENÚ ADMIN</a>
            {% endif %}
            
            {% if user.is_authenticated %}
            <a id="linksdemenu" href="http://localhost:8000/polls/agregar">AGREGAR</a>
            <a id="linksdemenu" href="http://localhost:8000/polls/listar">LISTAR</a>
            <a id="linksdemenu" href="{% url 'logout' %}">CERRAR SESIÓN</a>
            <a id="linksdemenu" href="#">@{{ user.username }}</a>
            
                {% for auth in backends.associated %}
                    {% if auth.provider == 'facebook' %}
                        <img id="imgfacebook" src="{{ auth.extra_data.picture.data.url }}" alt="foto de perfil" >
                    {% endif %}
                {% endfor %}

            {% else %}
            <a  id="linksdemenu" href="{% url 'login' %}">INICIAR SESIÓN</a>
            <a id="linksdemenu" href="{% url 'registro' %}">REGISTRARSE</a>
            {% endif %}
            
            
        </header>
        <nav id="nav_pag1">
            <h1>¡BIENVENIDO A CELL SHOP!</h1>
        </nav>
        <section class="carrusel" >
            <div class="atras" id="botones">
                &#60
            </div>
            <div class="adelante" id="botones">
                &#62 
            </div>
            <img  id="imagenes" src="http://localhost:8000/media/apple.png" alt="Imagen">
        </section>
        <article class="botones2">
            <button id="ocultar" onclick="ocultar()">Ocultar</button>
            <button id="mostrar" onclick="mostrar()">Mostrar</button>
        </article>
        <footer id="fin">
            <h2>Sobre Cell Shop</h2>
            <p>---------------------------------</p> 
            <p id="sobre">Cell Shop es una página en el mercado local chileno que se dedica a dar avisos en cuanto al mercado actual de Celulares. Mediante esta página nos comprometemos a darle el mejor de los servicios.</p>
            <p>----------------------------------</p>
            <p>Copyright © 2020 Cell Shop. Todos los derechos recervados</p>
            <p>----------------------------------</p>
        </footer>
    </div>
</body>
</html>

pagina/cellshop/polls/templates/polls/listar.html
{% load static %}
{% load humanize %}
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Listar</title>
    <link rel="stylesheet" href="{% static '/CSS/estilos.css' %}">
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.3.1/css/all.css">
    <link rel="stylesheet" href="{% static '/CSS/flexboxgrid.css' %}">
    <script src="{% static '/js/index.js' %}"></script>
    <script src="{% static '/js/jquery-3.5.1.js' %}"></script>

    {% load pwa %}

    {% progressive_web_app_meta %}
    
</head>
<body>
    <div>
        <div id="contenedor_carga">
            <div id="carga"></div>
        </div>
        <header id="hp1">
            <img id="cp1" src="http://localhost:8000/media/logo_ezPneK8.jpg" alt="Logo Cell Shop">
            <a id="linksdemenu" href="http://localhost:8000/polls/">INICIO</a>
            <a  id="linksdemenu" href="http://localhost:8000/polls/1">GALERÍA</a>
            {% if perms.group.add_group %}
            <a id="linksdemenu" href="http://localhost:8000/admin/" target="_blank">MENÚ ADMIN</a>
            {% endif %}
            {% if user.is_authenticated %}
            <a id="linksdemenu" href="http://localhost:8000/polls/agregar">AGREGAR CELULAR</a>
            <a id="linksdemenu" href="{% url 'logout' %}">CERRAR SESIÓN</a>
            <a id="linksdemenu" href="#">@{{ user.username }}</a>

                {% for auth in backends.associated %}
                    {% if auth.provider == 'facebook' %}
                        <img id="imgfacebook" src="{{ auth.extra_data.picture.data.url }}" alt="foto de perfil" >
                    {% endif %}
                {% endfor %}

            {% else %}
            <a  id="linksdemenu" href="{% url 'login' %}">INICIAR SESIÓN</a>
            <a id="linksdemenu" href="{% url 'registro' %}">REGISTRARSE</a>
            {% endif %}
        </header>
        <nav id="nav_pag1">
            <h1>LISTA DE CELULARES EN CELL SHOP</h1>
        </nav>
        <table id="listare">
            <tr id="titulosl">
                <th>Nombre</th>
                <th>Precio</th>
                <th>Marca</th>
                <th>Imagen</th>
                {% if perms.group.delete_celulares %}
                <th>Opciones</th>
                {% endif %}

            </tr>
            {% for p in celulares %}

            <tr>
                <td>{{ p.nombre | title }}</td>
                <td>${{ p.precio | intcomma }}</td>
                <td>{{ p.marca | title }}</td>
                <td>{{ p.imagen | title }}</td>
                {% if perms.group.add_group %}
                <td >
                    <a id="delista1" href="{% url 'modificar' p.id %}">Modificar</a>
                    <a id="delista2" href="{% url 'eliminar' p.id %}">Eliminar</a>
                </td>
                {% endif %}
            </tr>
            {% endfor %}
        </table>
        <footer id="gracias">
            <h1>¡GRACIAS POR USAR CELL SHOP!</h1>
        </footer>
</body>
</html>

pagina/cellshop/polls/templates/polls/modificar.html
{% load static %}
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>MODIFICAR</title>
    <link rel="stylesheet" href="{% static '/CSS/estilos.css' %}">
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.3.1/css/all.css">
    <link rel="stylesheet" href="{% static '/CSS/flexboxgrid.css' %}">
    <script src="{% static '/js/index.js' %}"></script>
    <script src="{% static '/js/jquery-3.5.1.js' %}"></script>

    {% load pwa %}

    {% progressive_web_app_meta %}
    
</head>
<body>
    <div>
        <div id="contenedor_carga">
            <div id="carga"></div>
        </div>
        <header id="hp1">
            <img id="cp1" src="http://localhost:8000/media/logo_ezPneK8.jpg" alt="Logo Cell Shop">
            <a id="linksdemenu" href="http://localhost:8000/polls/">INICIO</a>
            <a  id="linksdemenu" href="http://localhost:8000/polls/1">GALERÍA</a>
            {% if perms.group.add_group %}
            <a id="linksdemenu" href="http://localhost:8000/admin/" target="_blank">MENÚ ADMIN</a>
            {% endif %}
            {% if user.is_authenticated %}
            <a id="linksdemenu" href="http://localhost:8000/polls/listar">LISTAR</a>
            <a id="linksdemenu" href="{% url 'logout' %}">CERRAR SESIÓN</a>
            <a id="linksdemenu" href="#">@{{ user.username }}</a>
                {% for auth in backends.associated %}
                    {% if auth.provider == 'facebook' %}
                        <img id="imgfacebook" src="{{ auth.extra_data.picture.data.url }}" alt="foto de perfil" >
                    {% endif %}
                {% endfor %}

            {% else %}
            <a  id="linksdemenu" href="{% url 'login' %}">INICIAR SESIÓN</a>
            <a id="linksdemenu" href="{% url 'registro' %}">REGISTRARSE</a>
            {% endif %}
        </header>
        <nav id="nav_pag1">
            
            <h1>MODIFICAR EN CELL SHOP</h1>
        </nav>
        <form action="" method="POST" enctype="multipart/form-data">
            <section id="agregars2">
                {% csrf_token %}
                {{ form }}
                <input id="botoninicio" type="reset" value="Cancelar">
                <input id="botoninicio" type="submit" value="Modificar">
            </section>
        </form>
        <footer id="gracias">
            <h1>¡GRACIAS POR USAR CELL SHOP!</h1>
        </footer>
</body>
</html>

pagina/cellshop/polls/templates/polls/pagina2.html
{% load static %}
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Galería</title>
    <link rel="stylesheet" href="{% static '/CSS/estilos.css' %}">
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.3.1/css/all.css">
    <link rel="stylesheet" href="{% static '/CSS/flexboxgrid.css' %}">
    <link rel="stylesheet" href="{% static 'css2/lightbox.css' %}">
    <script src="{% static '/js/index.js' %}"></script>
    <script src="{% static '/js/jquery-3.5.1.js' %}"></script>
    <script src="{% static '/js2/lightbox-plus-jquery.js' %}"></script>

    {% load pwa %}

    {% progressive_web_app_meta %}
    
</head>
<body>
    <div >
        <div id="contenedor_carga">
            <div id="carga"></div>
        </div>
        <header id="hp1">
            <img id="cp1" src="http://localhost:8000/media/logo_ezPneK8.jpg" alt="Logo Cell Shop">
            <a id="linksdemenu" href="http://localhost:8000/polls/">INICIO</a>
            {% if perms.group.add_group %}
            <a id="linksdemenu" href="http://localhost:8000/admin/" target="_blank">MENÚ ADMIN</a>
            {% endif %}
            {% if user.is_authenticated %}
            <a id="linksdemenu" href="http://localhost:8000/polls/agregar">AGREGAR</a>
            <a id="linksdemenu" href="http://localhost:8000/polls/listar">LISTAR</a>
            <a id="linksdemenu" href="{% url 'logout' %}">CERRAR SESIÓN</a>
            <a id="linksdemenu" href="#">@{{ user.username }}</a>
                {% for auth in backends.associated %}
                    {% if auth.provider == 'facebook' %}
                        <img id="imgfacebook" src="{{ auth.extra_data.picture.data.url }}" alt="foto de perfil" >
                    {% endif %}
                {% endfor %}
            {% else %}
            <a  id="linksdemenu" href="{% url 'login' %}">INICIAR SESIÓN</a>
            <a id="linksdemenu" href="{% url 'registro' %}">REGISTRARSE</a>
            {% endif %}
        </header>
        <nav id="nav_degale">
            <h1>BIENVENIDO A LA GALERÍA DE CELL SHOP</h1>
            <p>Más información sobre los dispositivos, al final de la página.</p>
        </nav>
        <section class="galeria">
            <a id="a_galeria" href="http://localhost:8000/media/iphone11pro.jpg" data-lightbox="mygallery" data-title="iPhone11Pro_Valor aprox: $1.019.990" ><img src="http://localhost:8000/media/iphone11pro.jpg" alt="iphone11pro"></a>
            <a id="a_galeria" href="http://localhost:8000/media/iPhone11.png" data-lightbox="mygallery" data-title="iPhone11 _Valor aprox: $699.990"><img src="http://localhost:8000/media/iPhone11.png" alt="iPhone11"></a>
            <a id="a_galeria" href="http://localhost:8000/media/iphoneSE.jpg" data-lightbox="mygallery" data-title="iPhoneSE  _ Valor aprox: $429.990"><img src="http://localhost:8000/media/iphoneSE.jpg" alt="iPhoneSE"></a>
            <a id="a_galeria" href="http://localhost:8000/media/HuaweiP20Lite.jpg" data-lightbox="mygallery" data-title="Huawei P20 Lite _Valor aprox: $279.990"><img src="http://localhost:8000/media/HuaweiP20Lite.jpg" alt="HuaweiP20Lite"></a>
            <a id="a_galeria" href="http://localhost:8000/media/huaweiY9prime.jpg" data-lightbox="mygallery" data-title="Huawei Y9 Prime 2019_Valor aprox: $229.990"><img src="http://localhost:8000/media/huaweiY9prime.jpg" alt="huaweiY9prime"></a>
            <a id="a_galeria" href="http://localhost:8000/media/huaweiP40pro.jpg" data-lightbox="mygallery" data-title="Huawei P40 Pro_Valor aprox: $949.990"><img src="http://localhost:8000/media/huaweiP40pro.jpg" alt="huaweiP40pro"></a>
            <a id="a_galeria" href="http://localhost:8000/media/MotoG7.jpg" data-lightbox="mygallery" data-title="Motorola G7 _Valor aprox:$259.990"><img src="http://localhost:8000/media/MotoG7.jpg" alt="MotoG7"></a>
            <a id="a_galeria" href="http://localhost:8000/media/MotoOneVision_JQu3cLn.jpg" data-lightbox="mygallery" data-title="Motorola One Vision _Valor aprox:$199.990"><img src="http://localhost:8000/media/MotoOneVision_JQu3cLn.jpg" alt="MotoOneVision"></a>
            <a id="a_galeria" href="http://localhost:8000/media/motorolaEdge.png" data-lightbox="mygallery" data-title="Motorola Edge _Valor aprox:$600.000"><img src="http://localhost:8000/media/motorolaEdge.png" alt="motorolaEdge"></a>
            <a id="a_galeria" href="http://localhost:8000/media/SamsungGalaxyNote20.jpg" data-lightbox="mygallery" data-title="SamsungGalaxy Note20_Valor aprox:$999.990"><img src="http://localhost:8000/media/SamsungGalaxyNote20.jpg" alt="SamsungGalaxyNote20"></a>
            <a id="a_galeria" href="http://localhost:8000/media/GamsungGalaxyA11.jpg" data-lightbox="mygallery" data-title="SamsungGalaxy A11 _Valor aprox:$159.990"><img src="http://localhost:8000/media/GamsungGalaxyA11.jpg" alt="SamsungGalaxyA11"></a>
            <a id="a_galeria" href="http://localhost:8000/media/SamsungGalaxyS20.jpg" data-lightbox="mygallery" data-title="SamsungGalaxy S20 _Valor aprox:$600.990"><img src="http://localhost:8000/media/SamsungGalaxyS20.jpg" alt="SamsungGalaxyS20"></a>
        </section>
        <article id="art_pag2">
            <h1>¡GRACIAS POR USAR CELL SHOP!</h1>
            <p>Para más información visite las páginas oficiales que están abajo</p>
        </article>
        <footer id="artLogos">
            <a id="aLogos" href="https://www.apple.com/cl/" target="_blank"><img id="Logos" src="http://localhost:8000/media/Apple-iPhone.jpg" alt="Logo Apple"></a>
            <a id="aLogos" href="https://consumer.huawei.com/cl/?gclid=Cj0KCQjwk8b7BRCaARIsAARRTL73lhwR9Wzy48moOjbcY8YfT9smrQF6WP_9pyptku6gsf367ARwdvkaAolyEALw_wcB" target="_blank"><img id="Logos" src="http://localhost:8000/media/3e4608722f102c844bb092547ae4dbf3.jpg" alt="Logo de Huawei"></a>
            <a id="aLogos" href="https://www.motorola.cl/" target="_blank"><img id="Logos" src="http://localhost:8000/media/motorola-logo-black.jpg"  alt="Logo de Motorola"></a>
            <a id="aLogos" href="https://www.samsung.com/cl/?cid=cl_paid_ppc_google-search_corporate_always-on_aon-search_local-content_marca-dsa-site-traffic_mass-other&dclid=&gclid=Cj0KCQjwk8b7BRCaARIsAARRTL5X3KLH1EAeQZ_ZV1ED1kURgXoENt9KOsEJIifLRH5iqEBUFcLz8jUaAgJdEALw_wcB" target="_blank"><img id="Logos" src="http://localhost:8000/media/wrrP-0dW_400x400_Okce32o.jpg" alt="Logo de Samsung"></a>
        </footer>
    </div>
</body>
</html>